Package com.macrofocus.high_d.som.javafx

# Class JavaFXSOM<Row,Column>

java.lang.Object
com.macrofocus.high_d.som.AbstractSOM<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>
com.macrofocus.high_d.som.javafx.JavaFXSOM<Row,Column>

All Implemented Interfaces:
  `SOM<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

public class JavaFXSOM<Row,Column> extends AbstractSOM<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.som.AbstractSOM

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXSOM(SOMModel<javafx.scene.paint.Color,Row,Column> model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected SOMController`
  `createController(SOMView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected SOMModel<javafx.scene.paint.Color,Row,Column>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected SOMView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `javafx.scene.Node`
  `getNativeComponent()`

  ### Methods inherited from class com.macrofocus.high_d.som.AbstractSOM

  `getController, getModel, getView, load, setController, setLicenseKey, setModel, setView`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXSOM

    public JavaFXSOM(SOMModel<javafx.scene.paint.Color,Row,Column> model)

- ## Method Details

  - ### createModel

    protected SOMModel<javafx.scene.paint.Color,Row,Column> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Description copied from class: `AbstractSOM`
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractSOM<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a SOMModel instance

  - ### createView

    protected SOMView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createView()
    Description copied from class: `AbstractSOM`
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractSOM<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
    Returns:
      a SOMView instance

  - ### createController

    protected SOMController createController(SOMView view)
    Description copied from class: `AbstractSOM`
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractSOM<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a SOMController instance

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()